import { NavLinkItemObserver } from '../bal-nav.types';
import { NavLinkItem } from './bal-nav-link-item';
export declare class NavMetaButton extends NavLinkItem implements BalProps.BalNavMetaButton {
    touchPlacement: 'top' | 'bottom' | 'none';
    popoverId?: string;
    icon?: string;
    ariaLabel?: string;
    htmlTitle?: string;
    id: string;
    constructor(item: BalProps.BalNavMetaButton, observer: NavLinkItemObserver);
    get type(): string;
    get isLink(): boolean;
    renderAtMetaBar(): any;
    renderAtTouchTopMetaBar(): any;
    renderAtTouchBottomMetaBar(): any;
    resetTouchBottomMetaBar(): void;
    resetDesktopMetaBar(): void;
    getOffset(): number;
}
